// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use crate::PreferencesBin;
use glib::{prelude::*, translate::*};
use std::fmt;

glib::wrapper! {
    #[doc(alias = "DzlPreferencesFileChooserButton")]
    pub struct PreferencesFileChooserButton(Object<ffi::DzlPreferencesFileChooserButton, ffi::DzlPreferencesFileChooserButtonClass>) @extends PreferencesBin, gtk::Bin, gtk::Container, gtk::Widget, @implements gtk::Buildable;

    match fn {
        type_ => || ffi::dzl_preferences_file_chooser_button_get_type(),
    }
}

impl PreferencesFileChooserButton {
    pub fn action(&self) -> gtk::FileChooserAction {
        ObjectExt::property(self, "action")
    }

    pub fn key(&self) -> Option<glib::GString> {
        ObjectExt::property(self, "key")
    }

    pub fn subtitle(&self) -> Option<glib::GString> {
        ObjectExt::property(self, "subtitle")
    }

    pub fn title(&self) -> Option<glib::GString> {
        ObjectExt::property(self, "title")
    }
}

impl fmt::Display for PreferencesFileChooserButton {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("PreferencesFileChooserButton")
    }
}
